<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Teachinder</title>
        <meta name="description" content="A brief description of your page">
        <meta name="keywords" content="keywords, related, to, your, content">
        <link rel="stylesheet" type="text/css" href="./css/styles.css">
        <script type="module" src="./js/teacherDisplay.js"></script>
        <script type="module" src="./js/teacherInfoDisplay.js"></script>
        <script type="module" src="./js/filterTeachers.js"></script>
        <script type="module" src="./js/searchTeachers.js"></script>
        <script type="module" src="./js/addTeacherForm.js"></script>
        <script type="module" src="./js/tableDisplay.js"></script>
        <script type="module" src="./js/favoriteTeachersScroller.js"></script>
        <script type="module" src="./js/changeOrderInTable.js"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:400,400i,700&display=swap">
    </head>
    <body>
        <header class="header">
            <div class="top__bar">
                <h1 class="logo">Teachinder</h1>
                <div class="search_bar">
                    <input type="text" placeholder="Name, note or age to search" class="search_input" id="search">
                    <button type="submit" class="search_button" id="search_button">Search</button>
                </div>
            </div>
            <div class="menu__section">
                <nav>
                    <ul class="menu">
                        <li><a href="#teacherss">Teachers</a></li>
                        <li><a href="#statistics">Statistics</a></li>
                        <li><a href="#favorites">Favorites</a></li>
                        <li><a href="#about">About</a></li>
                    </ul>
                </nav>
                <div class="box">
                    <a class="add_teacher" href="#divOne">Add teacher</a>
                </div>
            </div>
        </header>
        <section class="top__teachers" id="teachers">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Top Teachers</h2>
            </div>
            <div class="teachers_filters">
                <div class="age_dropdown">
                    <label for="age">Age</label>
                    <select id="age" name="age">
                        <option value="18-100">Any</option>
                        <option value="18-31">18-31</option>
                        <option value="32-45">32-45</option>
                        <option value="46-55">46-55</option>
                        <option value="56-65">56-65</option>
                        <option value="66-80">66-80</option>
                    </select>
                </div>
                <div class="region_dropdown">
                    <label for="region">Region</label>
                    <select id="region" name="region">
                        <option value="any">Any</option>
                        <option value="Ukraine">Ukraine</option>
                        <option value="Germany">Germany</option>
                        <option value="Ireland">Ireland</option>
                        <option value="United States">United States</option>
                        <option value="Finland">Finland</option>
                        <option value="Australia">Australia</option>
                        <option value="Switzerland">Switzerland</option>
                        <option value="Turkey">Turkey</option>
                        <option value="Norway">Norway</option>
                        <option value="Spain">Spain</option>
                        <option value="New Zealand">New Zealand</option>
                        <option value="Canada">Canada</option>
                        <option value="Denmark">Denmark</option>
                        <option value="France">France</option>
                        <option value="Netherlands">Netherlands</option>
                    </select>
                </div>
                <div class="sex_dropdown">
                    <label for="sex">Gender</label>
                    <select id="sex" name="sex">
                        <option value="any">Any</option>
                        <option value="male">Male</option>
                        <option value="female">Female</option>
                    </select>
                </div>
                <div class="checkbox checkbox--with-photo">
                    <input type="checkbox" id="photoCheckbox" name="photoCheckbox">
                    <label for="photoCheckbox">Only with photo</label>
                </div>
                <div class="checkbox">
                    <input type="checkbox" id="favoriteCheckbox" name="favoriteCheckbox">
                    <label for="photoCheckbox">Only favorites</label>
                </div>
            </div>
            <div class="teachers" id="teachers_grid"></div>  
        </section>
        <section class="statistics" id="statistics">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Statictics</h2>
            </div>
            <div class="table_container">
                <table class="statictics_table">
                    <thead>
                        <tr>
                            <th class="statistics_header" id="full_name-sort">Name</th>
                            <th class="statistics_header" id="course-sort">Speciality</th>
                            <th class="statistics_header" id="age-sort">Age</th>
                            <th class="statistics_header" id="gender-sort">Gender</th>
                            <th class="statistics_header" id="country-sort">Nationality</th>
                        </tr>
                    </thead>
                    <tbody id="table_rows">
                    </tbody>
                </table>
            </div>
            <div class="pagination">
                <p>1  2  3  ...  Last</p>
            </div>
        </section>
        <section class="favorites" id="favorites">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Favorites</h2>
            </div>
            <div class="carousel-container">
                <div class="forward-button" id="moveRight">
                    <svg xmlns="http://www.w3.org/2000/svg" width="80" height="80" fill="gray" class="bi bi-chevron-compact-right" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M6.776 1.553a.5.5 0 0 1 .671.223l3 6a.5.5 0 0 1 0 .448l-3 6a.5.5 0 1 1-.894-.448L9.44 8 6.553 2.224a.5.5 0 0 1 .223-.671z"/>
                      </svg>
                </div>
                <div class="favorite__teachers" id="favorite__teachers"></div>
                <div class="back-button" id="moveLeft">
                    <svg xmlns="http://www.w3.org/2000/svg" width="80" height="80" fill="grey" class="bi bi-chevron-compact-left" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M9.224 1.553a.5.5 0 0 1 .223.67L6.56 8l2.888 5.776a.5.5 0 1 1-.894.448l-3-6a.5.5 0 0 1 0-.448l3-6a.5.5 0 0 1 .67-.223z"/>
                  </svg>
                </div>
            </div>
        </section>
        <section class="footer" id="about">
            <div class="horizontal_line"></div>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A atque facere, hic impedit itaque molestiae sit tempore? Ea in mollitia natus rerum voluptates. Ea ex excepturi facere tempora. Aliquid asperiores hic impedit iusto natus quaerat ratione sit? Culpa iusto optio voluptas voluptate. Enim eveniet fugit iure maiores molestiae, praesentium quia.</p>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquam eligendi illum in inventore ipsum odio officiis omnis quisquam sed tempora?</p>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A atque esse expedita id iusto mollitia, odit sint ullam veritatis vero?</p>
            <div class="menu__section">
                <nav>
                    <ul class="menu">
                        <li><a href="#teachers">Teachers</a></li>
                        <li><a href="#statistics">Statistics</a></li>
                        <li><a href="#favorites">Favorites</a></li>
                        <li><a href="#about">About</a></li>
                    </ul>
                </nav>
                <div class="box">
                    <a class="add_teacher" href="#divOne">Add teacher</a>
                </div>
            </div>
        </section>


        
        <div id="divOne" class="login_overlay">
            <div class="wrapper">
                <div class="top__login">
                    <h2>Add Teacher</h2>
                    <a class="close" href="#">&times;</a>
                </div>
                <div class="add_form">
                    <form id="add_teacher">
                        <div class="input_name">
                            <p>Name</p>
                            <input type="text" placeholder="Enter name"  required>
                        </div>
                        <div class="input_speciality">
                            <p>Speciality</p>
                            <select class="speciality-select" required>
                                <option value="">Select Speciality</option>
                                <option value="Mathematics">Mathematics</option>
                                <option value="Physics">Physics</option>
                                <option value="English">English</option>
                                <option value="Computer Science">Computer Science</option>
                                <option value="Dancing">Dancing</option>
                                <option value="Chess">Chess</option>
                                <option value="Biology">Biology</option>
                                <option value="Chemistry">Chemistry</option>
                                <option value="Law">Law</option>
                                <option value="Art">Art</option>
                                <option value="Medicine">Medicine</option>
                                <option value="Statistics">Statistics</option>
                            </select>
                        </div>
            
                        <div class="location_input">
                            <div>
                                <p>Country</p>
                                <select class="country-select" required>
                                    <option value="">Select Country</option>
                                    <option value="Ukraine">Ukraine</option>
                                    <option value="Germany">Germany</option>
                                    <option value="Ireland">Ireland</option>
                                    <option value="United States">United States</option>
                                    <option value="Finland">Finland</option>
                                    <option value="Australia">Australia</option>
                                    <option value="Switzerland">Switzerland</option>
                                    <option value="Turkey">Turkey</option>
                                    <option value="Norway">Norway</option>
                                    <option value="Spain">Spain</option>
                                    <option value="New Zealand">New Zealand</option>
                                    <option value="Canada">Canada</option>
                                    <option value="Denmark">Denmark</option>
                                    <option value="France">France</option>
                                    <option value="Netherlands">Netherlands</option>
                                </select>
                            </div>
                            <div>
                                <p>City</p>
                                <input type="text" placeholder="City" required>
                            </div>
                        </div>
                        <div class="contact_input">
                            <div class="contact_email">
                                <p>Email</p>
                                <input type="email" placeholder="Email" required>
                            </div>
                            <div>
                                <p>Phone</p>
                                <input type="tel" placeholder="Phone" required>
                            </div>
                        </div>
                        <div>
                            <p>Date of birth</p>
                            <input type="date" class="datepicker" required id="birthdate">
                        </div>
                        <div class="sex_input">
                            <p>Sex</p>
                            <label for="male">Male</label>
                            <input type="radio" id="male" name="gender" value="male">
                            <label for="female">Female</label>
                            <input type="radio" id="female" name="gender" value="female">
                        </div>
                        
                        <div class="input_bgcolor">
                            <p>Background color</p>
                            <input type="color" id="bgColor" name="bgColor" value="black">
                        </div>
                        <div>
                            <p>Notes (optionel)</p>
                            <textarea rows="4" placeholder="Notes" class="notes"></textarea>
                        </div>
                        
                        <div>
                            <button type="submit" class="add_teacher login-button">Add</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
        <div class="overlay" id="teacher_info"></div>
    </body>
</html>